//tömb létrehozása
let szamok = [1, 20, -10, -2, -4, 6, -5, 5, 8, 2];

//számok összege fgv
function szamokOsszeadasa(tomb, callback) {
    let osszeg = 0;
    for (let i = 0; i < tomb.length; i++) {
        if (callback(tomb[i]) == true) {  
            osszeg += tomb[i];
        }
    }
    return osszeg;
}

//nyílfgv-ek
let pozitivSzamok = (szam) => szam > 0;
let negativSzamok = (szam) => szam < 0;

//fgvhívás és kiíratás
let pozitivOsszeg = szamokOsszeadasa(szamok, pozitivSzamok);
console.log(`Pozitív számok összege: ${pozitivOsszeg}`);

let negativOsszeg = szamokOsszeadasa(szamok, negativSzamok);
console.log(`Negatív számok összege: ${negativOsszeg}`);
